<?php

$configSectionNames = $model->getConfigSectionHumanReadableName();
$links = array();

foreach ($model->getConfigItemsArray() as $name => $configSection) {
    $links[] = array(
        'label' => $configSectionNames[$name],
        'url' => $this->createUrl("section", array("section" => $name))
    );
}

$this->widget('ext.PlNavbar', array(
    'brand' => __('SYSTEM_GLOBAL_CONFIG_SECTION_TITLE'),
    'items' => array(
        array(
            'class' => 'bootstrap.widgets.TbMenu',
            'items' => $links,
        ),
    ),
));

$configSections = $model->getConfigItemsArray();

// render sections of this configuration

echo "<ul>";
foreach ($configSections as $name => $configSection) {
    echo "<li>";
    $url = $this->createUrl("section", array("section" => $name));
    echo CHtml::link($configSectionNames[$name], $url);
    echo "</li>";
}
echo "</ul>";
